Reassign an approval work item
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/approval-routing/work-items/{workItemId}/assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/approval-routing/work-items/{workItemId}/assignee"
payload = { "userId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/approval-routing/work-items/{workItemId}/assignee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workItemId": "<string>",
"assignedTo": "<string>",
"assignedToName": "<string>",
"assignmentStage": "PRIMARY",
"dueAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"isMine": true,
"eligibleAssigneeIds": [
"<string>"
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Reassign an approval work item
Moves open approval work to an active user in its snapshotted eligible audience without granting admins implicit approval permission.
PUT
/
approval-routing
/
work-items
/
{workItemId}
/
assignee
Reassign an approval work item
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/approval-routing/work-items/{workItemId}/assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/approval-routing/work-items/{workItemId}/assignee"
payload = { "userId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/approval-routing/work-items/{workItemId}/assignee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workItemId": "<string>",
"assignedTo": "<string>",
"assignedToName": "<string>",
"assignmentStage": "PRIMARY",
"dueAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"isMine": true,
"eligibleAssigneeIds": [
"<string>"
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^\d+$Body
application/json
Pattern:
^\d+$Response
Reassign an approval work item
Pattern:
^\d+$Pattern:
^\d+$Available options:
PRIMARY, FALLBACK Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^\d+$